<h1><?php _e("Gestion de la licence", 'mondialrelay-wordpress') ?></h1>

<?php
if (isset($noty) && $noty == 1) { ?>
    <div class="updated">
        <p><?php _e("Le numéro de licence a bien été mis à jour.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php } ?>
<?php
if (isset($message) && $message !== "") { ?>
    <div class="notice notice-warning">
        <p><?php echo($message) ?></p>
    </div>
<?php } ?>


<form method="post" action="" id="mondialrelay_admin_license">

    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="row"><label for="mondialrelay_license_key"><?php _e('Numéro de licence', 'mondialrelay-wordpress') ?> </label>  <span class="woocommerce-help-tip" data-tip="<?php _e("Numéro de licence fourni lors de votre achat du plugin Mondial Relay pour WordPress", 'mondialrelay-wordpress') ?>"></span></th>
            <td>
                <input type="text" name="mondialrelay_license_key" id="mondialrelay_license_key" value="<?php echo $mondialrelay_license_key; ?>">
            </td>
        </tr>

        <?php if( false !== $mondialrelay_license_key ) { ?>
            <tr valign="top">
                <th scope="row" valign="top">
                    <?php _e('Activer la licence', 'mondialrelay-wordpress'); ?>
                </th>
                <td>
                    <?php if( $mondialrelay_license_status !== false && $mondialrelay_license_status == 'valid' ) { ?>
                        <span style="color:green;" class="licence-activee"><?php _e("Plugin activé ", 'mondialrelay-wordpress'); ?></span>
                        <?php wp_nonce_field( 'edd_sample_nonce', 'edd_sample_nonce' ); ?>
                        <input type="submit" class="button-secondary" name="mondialrelay_license_deactivate" value="<?php _e('Désactiver la licence', 'mondialrelay-wordpress'); ?>"/>
                    <?php } else {
                        wp_nonce_field( 'edd_sample_nonce', 'edd_sample_nonce' ); ?>
                        <input type="submit" class="button-secondary" name="mondialrelay_license_activate" value="<?php _e('Activer la licence', 'mondialrelay-wordpress'); ?>"/>
                    <?php } ?>
                </td>
            </tr>
        <?php } ?>

    </tbody>
    </table>
    <p class="submit"><input type="submit" name="mondialrelay_licence" id="mondialrelay_licence" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>
</form>

<?php
$mondialrelay_debug = get_option('mondialrelay_debug', class_MRWP_main::DEBUG);
if ($mondialrelay_debug) {
    if (isset($api_params) && $api_params !== "") { ?>
        <div id="log-viewer">
            <h2><?php _e("Données de débuggage à fournir au support", 'mondialrelay-wordpress') ?></h2>
            <p><?php 
			    class_MRWP_helpers::VarPrint($api_params);
			    class_MRWP_helpers::VarPrint($response);
		    ?></p>
        </div>
    <?php }
} ?>
