<?php
if (isset($noty) && $noty == 1) { ?>
    <div class="updated">
        <p><?php _e("Les coordonnées du vendeur ont bien été mises à jour.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php } ?>

<h1><?php _e("Vendeur", 'mondialrelay-wordpress') ?></h1>

<h3><?php _e("Coordonnées du vendeur", 'mondialrelay-wordpress') ?></h3>

<form method="post" action="" id="mondialrelay_admin_vendeur">

    <table class="form-table">
        <tbody>
        <?php
        foreach ($champs_vendeur as $key => $champ) { ?>
            <tr valign="top">
                <th scope="row"><label for="<?php echo $key ?>"><?php echo $labels_vendeur[$key]['label'] ?></label> <span class="woocommerce-help-tip" data-tip="<?php if ($labels_vendeur[$key]['obligatoire'] == 1) _e('Obligatoire', 'mondialrelay-wordpress'); else echo _e('Facultatif', 'mondialrelay-wordpress'); ?>"></span></th>
                <td>
                    <?php if (isset($labels_vendeur[$key]['type']) && $labels_vendeur[$key]['type'] == 'select') { ?>
                        <select name="<?php echo $key ?>">
                            <option value="" disabled> <?php _e("Choisir", 'mondialrelay-wordpress') ?>
                                <?php
                                foreach($labels_vendeur[$key]['options'] as $cle => $option) { ?>
                            <option value="<?php echo $option ?>" <?php if ($champs_vendeur[$key] == $option) echo 'selected'; ?>> <?php echo $cle ?>
                                <?php }
                                ?>
                        </select>
                    <?php } else { ?>
                        <input name="<?php echo $key ?>" type="text" id="<?php echo $key ?>" value="<?php echo $champ;?>" class="regular-text">
                    <?php } ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>

    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>

</form>

<div id="message" class="mrwp-message">
    <div class="squeezer">
        <p><strong><?php _e("Aide", 'mondialrelay-wordpress') ?></strong><br>
            <?php _e("Pour plus d'informations sur les options du plugin, consultez", 'mondialrelay-wordpress') ?> <a target="_blank" href="<?php echo class_MRWP_main::DOCUMENTATION; ?>"> <?php _e("la documentation", 'mondialrelay-wordpress') ?></a>.</p>
    </div>
</div>